Get the results of the pickface replenishment report

Body·
application/json
  • clientPartnerId
    Type: string | nullFormat: uuid

    The client to filter by

  • includeReplenSuggestions
    Type: boolean

    Include replenishment suggtests for pickfaces requiring replenishment

  • includeRequiredOnly
    Type: boolean

    Include only pickfaces requiring replenishment

  • partnerProductId
    Type: string | nullFormat: uuid

    The product to filter by

  • warehouseId
    Type: string | nullFormat: uuid

    The warehouse to filter by

Responses
  • application/json
Request Example for post/v1/reports/pickface-replenishment
curl https://api.consignlyhq.com/v1/reports/pickface-replenishment \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "warehouseId": null,
  "clientPartnerId": null,
  "partnerProductId": null,
  "includeRequiredOnly": true,
  "includeReplenSuggestions": true
}'
[
  {
    "warehouseName": null,
    "locationName": null,
    "clientPartnerName": null,
    "partnerProductDescription": null,
    "unitTypeName": null,
    "rotationBehavior": "enum (PreventMix = 1, AllowMix = 2)",
    "rotationMethod": "enum (None = 0, Batch = 1, ExpiryAscending = 2, ExpiryDescending = 3, ProductionDateAscending = 4, ProductionDateDescending = 5, BestBeforeDateAscending = 6, BestBeforeDateDescending = 7, SellByDateAscending = 8, SellByDateDescending = 9, PackagingDateAscending = 10, PackagingDateDescending = 11, ReceivedDateAscending = 12, ReceivedDateDescending = 13)",
    "rotationMethodSecondary": "enum (None = 0, Batch = 1, ExpiryAscending = 2, ExpiryDescending = 3, ProductionDateAscending = 4, ProductionDateDescending = 5, BestBeforeDateAscending = 6, BestBeforeDateDescending = 7, SellByDateAscending = 8, SellByDateDescending = 9, PackagingDateAscending = 10, PackagingDateDescending = 11, ReceivedDateAscending = 12, ReceivedDateDescending = 13)",
    "replenishmentStatus": "enum (TargetReached = 1, BelowTarget = 2, BelowMin = 3)",
    "isReplenishmentRequired": true,
    "onHandQuantity": 1,
    "targetQuantity": null,
    "minQuantity": null,
    "replenSuggestions": [
      {
        "warehouseLocationName": null,
        "logisticUnitNumber": null,
        "ssccNumber": null,
        "referenceNumber": null,
        "batch": null,
        "bestBeforeDate": "date (YYYY-MM-DD)",
        "expiryDate": "date (YYYY-MM-DD)",
        "packagingDate": "date (YYYY-MM-DD)",
        "productionDate": "date (YYYY-MM-DD)",
        "sellByDate": "date (YYYY-MM-DD)",
        "attributes": [
          {
            "name": null,
            "description": null
          }
        ],
        "quantity": 1,
        "volumeM3": 1,
        "weightKG": 1
      }
    ]
  }
]